clang-tools 6.0.0

Namespaces | Functions
rename_check.py File Reference

Go to the source code of this file.

## Namespaces
| rename_check

## Functions
def | rename_check.replaceInFile (fileName, sFrom, sTo)
def | rename_check.generateCommentLineHeader (filename)
def | rename_check.generateCommentLineSource (filename)
def | rename_check.fileRename (fileName, sFrom, sTo)
def | rename_check.deleteMatchingLines (fileName, pattern)
def | rename_check.getListOfFiles (clang_tidy_path)
def | rename_check.adapt_cmake (module_path, check_name_camel)
def | rename_check.adapt_module (module_path, module, check_name, check_name_camel)
def | rename_check.add_release_notes (clang_tidy_path, old_check_name, new_check_name)
def | rename_check.main ()